> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pushcash.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List transactions

> Retrieves a list of transactions



## OpenAPI

````yaml /openapi.yaml get /transaction/list
openapi: 3.0.1
info:
  title: Push API
  version: 0.0.1
servers:
  - url: https://api.pushcash.com
    description: Production API
  - url: https://sandbox.pushcash.com
    description: Sandbox API used for developing an integration with Push
security:
  - bearer: []
tags:
  - name: user
  - name: tokenization
  - name: authorization
  - name: intent
  - name: dispute
  - name: refund
  - name: accounts
  - name: transactions
  - name: transfer
paths:
  /transaction/list:
    get:
      tags:
        - transactions
      summary: List transactions
      description: Retrieves a list of transactions
      operationId: listTransactions
      parameters:
        - in: query
          name: created_at.after
          description: >-
            Return transactions created after this [ISO
            8601](https://en.wikipedia.org/wiki/ISO_8601) timestamp.
          required: false
          schema:
            type: string
            format: date-time
        - in: query
          name: created_at.before
          description: >-
            Return transactions created before this [ISO
            8601](https://en.wikipedia.org/wiki/ISO_8601) timestamp.
          required: false
          schema:
            type: string
            format: date-time
        - in: query
          name: cursor
          description: The cursor for the next page of results to fetch
          required: false
          schema:
            type: string
            example: vjl8vk3l4o8dhsjlzh==
        - in: query
          name: account_id
          description: Return transactions associated with the specified account
          schema:
            type: string
            example: account_28CJjV7P4Go5PNJvfzghiD
        - in: query
          name: date.after
          description: Return transactions recorded on or after the specified date
          schema:
            type: string
            format: date
        - in: query
          name: date.before
          description: Return transactions recorded on or before the specified date
          schema:
            type: string
            format: date
        - in: query
          name: batch
          description: Return transactions associated with the specified batch
          schema:
            type: string
        - in: query
          name: type
          description: Return transactions of the specified type
          schema:
            $ref: '#/components/schemas/TransactionType'
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Transaction'
                  next_cursor:
                    $ref: '#/components/schemas/Cursor'
                required:
                  - data
                  - next_cursor
        default:
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
components:
  schemas:
    TransactionType:
      type: string
      description: The type of transaction
      enum:
        - intent
        - transfer
        - unreconciled
      x-enumDescriptions:
        intent: A transaction associated with an intent
        transfer: A transaction associated with a transfer
        unreconciled: >-
          Movement of funds not associated with any activity on the Push
          platform.
    Transaction:
      type: object
      example:
        id: txn_CpiSd1bptYB5P55ysTDHg
        amount: 11000
        direction: credit
        currency: USD
        created_at: '2023-05-24T20:15:18.158Z'
        date: '2023-05-24'
        batch: '39408'
        account_id: account_WsELzpJOvU6fNafvzWbF6K
        type: intent
        source_id: intent_sandbox_dMggQ93ZYH6DH9LBhVeijE
      properties:
        id:
          type: string
          description: The unique identifier assigned by Push
        amount:
          type: integer
          description: Amount of the transaction (signed)
        direction:
          type: string
          description: >-
            The direction of the transaction, as indicated by the sign of the
            amount
          enum:
            - credit
            - debit
        currency:
          $ref: '#/components/schemas/Currency'
        created_at:
          type: string
          format: date-time
          description: When the transaction was created (ISO 8061 date string)
        date:
          type: string
          format: date
          description: The settlement date of the transaction
        batch:
          type: string
          nullable: true
          description: The batch for the transaction
        account_id:
          type: string
          description: The account associated with the transaction
        type:
          $ref: '#/components/schemas/TransactionType'
        source_id:
          type: string
          nullable: true
          description: >-
            The ID of the intent, dispute, or transfer associated with the
            transaction. If the transaction is unreconciled, this field will be
            null
        status:
          $ref: '#/components/schemas/TransactionStatus'
      required:
        - id
        - amount
        - currency
        - created_at
        - date
        - batch
        - account_id
        - type
        - source_id
        - status
    Cursor:
      type: string
      nullable: true
      description: >
        Use cursor for paginating list endpoints in conjunction with the cursor
        request parameter. 


        In a response, the value is null if there are no more results to fetch.
      example: vjl8vk3l4o8dhsjlzh==
    error:
      description: Description of the error encountered from the API request
      type: object
    Currency:
      type: string
      description: Currency associated with the amount
      enum:
        - USD
    TransactionStatus:
      type: string
      description: The transaction's settlement status
      enum:
        - settled
        - pending
      x-enumDescriptions:
        settled: The transaction is settled and funds are now available
        pending: The transaction is awaiting settlement
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````